<?php
/**
 * MiniMVC
 *
 * Convention-based micro-framework for PHP
 *
 * @author 		Timothy J. Warren
 * @copyright	Copyright (c) 2011 - 2012
 * @link 		https://github.com/timw4mail/miniMVC
 * @license 	http://philsturgeon.co.uk/code/dbad-license 
 */

// --------------------------------------------------------------------------

class Welcome extends MM_Controller {

	function __construct()
	{
		parent::__construct();
	}
	
	function index()
	{
		$output = $this->page->set_message('info', "This is just a test message", TRUE);
		$this->page->output_string($output);
	}
	
	function php()
	{
		ob_start();
		phpinfo();
		$output = ob_get_contents();
		ob_end_clean();
		
		$this->output->set_output($output);
	}
	
	function reflect()
	{
		$this->r = new R($this);
		
		$obj = $this->r->get_all();
		
		$this->output->set_output($this->__toString('print_r', $obj));
	}
}